Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.persist.evolve
Interface EvolveListener

    public interface EvolveListener

The listener interface called during eager entity evolution.

See Also:
  `Class Evolution`

Method Summary
`boolean` | `evolveProgress(EvolveEvent event)` The listener method called during eager entity evolution.

Method Detail

### evolveProgress

    boolean evolveProgress(EvolveEvent event)

  The listener method called during eager entity evolution.

  Returns:
    true to continue evolution or false to stop.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2012 Oracle and/or its affiliates. All rights reserved.